capture log close
clear
clear mata
# delimit ;
set memory 50m ;
set more off ;
pause on ;
program drop _all ;
estimates clear ;

* =============================================================== ;
*	This is tab1.do;
*	Last edited 12/30/08 ew ;
*	Uses pollsallvars.dta ;
*	descriptive statistics of pre-election poll sample;
* =============================================================== ;

global N=1;
*1==umich server structure;
*2==elias's macbook structure;

if $N==1 {;
global prog "/afs/umich.edu/user/f/g/fgelias/Shared/pollproject/";
global res "/afs/umich.edu/user/f/g/fgelias/Shared/pollproject/electres/";
global pre "/afs/umich.edu/user/f/g/fgelias/Shared/pollproject/prepolls/";
global exit "/afs/umich.edu/user/f/g/fgelias/Shared/pollproject/exitpolls/";
global tab "/afs/umich.edu/user/f/g/fgelias/Shared/pollproject/tables/";
global fig "/afs/umich.edu/user/f/g/fgelias/Shared/pollproject/figures/";
global oth "/afs/umich.edu/user/f/g/fgelias/Shared/pollproject/notinpaper/";
global mktab "/afs/umich.edu/user/f/g/fgelias/Shared/pollproject/mktabsandfigs/";
};


log using "${mktab}tab1.log", replace ;
display "$S_DATE";
use "${prog}pollsallvars.dta", clear ;


keep if mainsamp==1&record!=.;
drop racen;
egen racen=count(year), by(state year);
tabstat daysbef lt2wks likely samplesize marginoferror putn_50 putmarg_50,
	stat(mean sd n) col(stat) by(year) nosep;
tabstat racen if tagr==1, statistics(mean median min max n) col(var) by(year) nosep;

log close;





