capture log close
clear
clear mata
# delimit ;
set memory 50m ;
set more off ;
pause on ;
program drop _all ;
estimates clear ;

* =============================================================== ;
*	This is tab7.do ; 
*	Last edited 12/30/08 ew ;
*	Uses pollsallvars.dta ;
*	Descriptive statistics of polls and prediction errors over time;
* =============================================================== ;

global N=1;
*1==umich server structure;
*2==elias's macbook structure;

if $N==1 {;
global prog "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/";
global res "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/electres/";
global pre "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/prepolls/";
global exit "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/exitpolls/";
global tab "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/tables/";
global fig "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/figures/";
global oth "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/notinpaper/";
global mktab "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/mktabsandfigs/";
};


log using "${mktab}tab7.log", replace ;
display "$S_DATE";
use "${prog}pollsallvars.dta", clear ;


keep if mainsamp==1&record!=.;

replace fracund=100*fracund;
replace fracund=0 if fracund==.;
tabstat fracund dem1new rep1new demstd2_fin repstd2_fin,
	stat(mean sd n) col(stat);
tabstat fracund dem1new rep1new demstd2_fin repstd2_fin if daysbef<=7,
        stat(mean sd n) col(stat);
tabstat fracund dem1new rep1new demstd2_fin repstd2_fin if daysbef<=14 & daysbef>7,
        stat(mean sd n) col(stat);
tabstat fracund dem1new rep1new demstd2_fin repstd2_fin if daysbef<=28 & daysbef>14,
        stat(mean sd n) col(stat);
tabstat fracund dem1new rep1new demstd2_fin repstd2_fin if daysbef<=42 & daysbef>28,
        stat(mean sd n) col(stat);
tabstat fracund dem1new rep1new demstd2_fin repstd2_fin if daysbef<=56 & daysbef>42,
        stat(mean sd n) col(stat);
tabstat fracund dem1new rep1new demstd2_fin repstd2_fin if daysbef<=70 & daysbef>56,
        stat(mean sd n) col(stat);
tabstat fracund dem1new rep1new demstd2_fin repstd2_fin if daysbef>70,
        stat(mean sd n) col(stat);
gen db_0_7=daysbef<=7;
gen db_7_14=daysbef<=14 & daysbef>7;
gen db_14_28=daysbef<=28 & daysbef>14;
gen db_28_42=daysbef<=42 & daysbef>28;
gen db_42_56=daysbef<=56 & daysbef>42;
gen db_56_70=daysbef<=70 & daysbef>56;
gen db_70=daysbef>70;

for var fracund dem1new rep1new demstd2_fin repstd2_fin:
 reg X db_*, noc cl(raceid);
drop db*;

log close;







