capture log close
capture clear all
# delimit ;
set memory 50m ;
display "$S_DATE" ;
set more off ;
pause on ;
program drop _all ;

* =============================================================== ;
*	This is tab9.do ; 
*	Last edited 12.30.08 ew ;
*	Uses tessallvars.dta;
*	Descriptive statistics of Manski poll;
* =============================================================== ;

global N=1;
*1==umich server structure;
*2==elias's macbook structure;

if $N==1 {;
global tess "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/tess/";
global tessdata
   "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/tess/tess28_dinardo_final_data/";
global tab "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/tables/";
global mktab "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/mktabsandfigs/";
};


log using ${mktab}tab9.log, replace ;
display "$S_DATE";
use "${tess}tessallvars.dta", clear ;


tab wave manski;
gen nouncert=(bush==1|bush==0)&(kerry==1|kerry==0)&(other==1|other==0) if manski==1;
sum nouncert if wave1==1;
sum nouncert if wave2==1;
gen littleuncert=(bush>=.9|bush<.1)&(kerry>=.9|kerry<.1)&(other>=.9|other<.1);
sum littleuncert if wave1==1;
sum littleuncert if wave2==1;
gen m_w=10*manski+wave;
tabstat pv, by(m_w) stat(mean sd p10 p25 p50) col(var);

gen lths=ppeducat==1;
gen ne=ppreg4==1;
tabstat ppage ppeth_new ppgender pphhhead_new ppmarit_new
        ppmsacat_new ppwork_new
	lths _Ipped* ne _Ippreg*, by(m_w) stat(mean sd) col(stat) nosep;



***unnecessarily complicated randomization check***;
program define randcheck;
preserve;
keep if `1';

*create numerical subscripts for each variable in the randcheck;
global i=0;
foreach v of varlist ${`2'}
  {;
     global i = 1+$i;
     capture drop var$i;
     rename `v' var$i;
  };
keep var* manski wave caseid;

*expand the data so that we have one obs per individual-outcome;
 expand $i;
 bysort caseid: gen nobs=_n;
 tab nobs, m;

*now create dummy variables for each outcome;
forvalues y = 1/$i
    {;
        gen byte d_var`y'=nobs==`y';
    };

*now interact the dummies with the main treatment variable;
forvalues y = 1/$i
    {;
	gen o_var`y'=d_var`y'*manski;
    };

*now rename the LHS variables to a common name;
gen yvar=.;
forvalues y = 1/$i
        {;
             replace yvar=var`y' if nobs==`y';
        };

*run regression;
disp "** SAMPLE = `1' **";
reg yvar d_* o_*, nocons cl(caseid);
testparm o_*;
restore;
end;

global var "ppage ppeth_new ppgender pphhhead_new ppmarit_new
        ppmsacat_new ppwork_new _Ipped* _Ippreg*";

*randcheck wave==1 var;
*randcheck wave==2 var;

***simple randcheck***;
reg manski ${var} if wave==1, r;
reg manski ${var} if wave==2, r;



log close ;
